EasyControl-A App Compatible Smartphones

EasyControl-A App Compatibility

  • See the list below to identify the devices which are tested to be compatible with the EasyControl-A app (version 1.9)

    Apple
    • iPhone 5
    • iPhone 5c
    • iPhone 5s
    • iPhone 6
    • iPhone 6 Plus
    • iPhone 6s
    • iPhone 6s Plus
    • iPhone 7
    • iPhone 7 Plus
    • iPhone 8
    • iPhone 8 Plus
    • iPhone SE
    • iPhone X
    • iPad Air
    • iPad Air 2
    • iPad Mini 2 Gen
    • iPad Mini 4 Gen
    • iPad Pro
    • iPad Pro 9.7"
    • iPad Pro 10.5"
    • iPad Pro 12.9"
    • iPad Pro 12.9" 2 Gen
    • iPod Touch 6 Gen
    Google
    • Google Pixel
    • Google Pixel XL
    LG
    • LG G5
    • LG Nexus 5x
    Samsung
    • Samsung Galaxy Note 4
    • Samsung Galaxy A5 (2017)
    • Samsung Galaxy S5
    • Samsung Galaxy S6
    • Samsung Galaxy S7
    • Samsung Galaxy S8
    • Samsung Galaxy S6 Edge
    • Samsung Galaxy S7 Edge
    Sony
    • Sony Xperia XZ
    • Sony Xperia Z5 Premium
    HTC
    • HTC One M9
    Motorola
    • Motorola Nexus 6

    If your device is not listed above, it is still possible for it to be compatible with the Easy Control-A app.

    Please note, that the EasyControl-A app is compatible with devices running on the operating system iOS 10.3 or later, or Android 6.0 or later (Anroid 7.0 or later is strongly recommended). We recommend you to always update your device to the latest version of the operating system.